Quassel IRC - Bug #1017

Certain special characters cause Quassel to crash
08/23/2010 09:01 PM - Bruun

Status: New Start date: 08/23/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.6.1 0S: Windows
Description

Example:

000000wO00O0 00000 c00000000R000000000000000000000w00000000000 000000000000 -00000Q0C000000000000 0D
rrorddregdOO0c0DODCOOODDO ,OO0DODODD

If i (right/left)click on a channel containing these characters, Quassel crashes with the attached crash file. The same happens if |
paste it in the text input (before hitting send).
The problem does not occur if | change the font to, say, Fixedsys. The problem occurs with the standard Monospace font.

Server running 0.6.2 on Ubuntu 10.04 with sqlite.
Client running 0.6.2 on Windows 7 x64.

History

#1 - 08/25/2010 09:49 PM - johu
- Target version deleted (0.6.2)

#2 - 08/25/2010 09:50 PM - johu
- Version changed from 0.6.2 to 0.6.1

Files

Quassel-Crash-20100823-1943.log 4.17 KB 08/23/2010 Bruun

11/05/2025 1/1



http://www.tcpdf.org

